−

Get My Folders Links

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the list of the external share links created for the files/folders inside the team member's my folders.

My Folders is an exclusive space where a user can create, upload, and share their own files.

myfolder_id is created when a user is added to a WorkDrive team.

Endpoints

get https://www.zohoapis.com/workdrive/api/v1/privatespace/{myfolder_id}/links

Copy full URL

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/privatespace/{myfolder_id}/links \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'
header = Map();
header.put("Accept","application/vnd.api+json");
response = invokeurl
[
url : "https://www.zohoapis.com/workdrive/api/v1/privatespace/{myfolder_id}/links"
type : GET
headers : header
connection : "wdconnection"
];
info response;

Path Parameters

myfolder_idstring(Required)

The unique ID of team member's my folders

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]string(Optional)

To filter by link type.

Allowed Values :
Show Values ▾
customCopied!
downloadCopied!
Copied!Copy all as JSON Array

Response Example

200
Copied!
  {
    "data": [
      {
        "id": "3iWUoMURXKD-OCgNc",
        "type": "links",
        "attributes": {
          "modified_time_i18": "Apr 13, 1:20 PM",
          "link": "https://workdrive.zohoexternal.com/external/3iWUoMURXKD-OCgNc",
          "resource_extension": "jpg",
          "input_fields": [],
          "type": "image",
          "created_time_i18": "Apr 13, 1:20 PM",
          "request_user_data": false,
          "modified_time": "Apr 13, 1:20 PM",
          "role_id": 34,
          "download_url": "https://workdrive.zohoexternal.com/external/3iWUoMURXKD-OCgNc/download",
          "link_name": "test",
          "modified_time_in_millis": 1618300233274,
          "resource_status": 1,
          "created_time": "Apr 13, 1:20 PM",
          "file_name": "Capture.JPG",
          "can_display_profile": false,
          "created_by": "Zylker Creation",
          "use_shorten_link": false,
          "allow_download": true,
          "link_type": "custom",
          "is_expired": false,
          "is_password_protected": false,
          "modified_by": "Zylker Creation",
          "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
          "created_time_in_millis": 1618300233274,
          "status": 1
        },
        "relationships": {
          "password": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/relationships/password",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/password"
            }
          },
          "report": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/relationships/report",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/report"
            }
          },
          "timeline": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/relationships/timeline",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/timeline"
            }
          },
          "register": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/relationships/register",
              "related": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc/register"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/links/3iWUoMURXKD-OCgNc"
        }
      }
    ]
  }
                
▼ Show full

© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.